/**
 * Pomislih malko i razbrah, che:
 * * Ako e nechetno, pishesh '7', izvajdash 3 i produljavash
 * * Edinici dokato ima
 * Raboti, zashtoto vinagi e po-izgodno da dobavish oshte edna edinica, umnojavajki cqloto neshto po 10,
 * otkolkoto da dobavish primerno 4, koeto da, she umnoji po 10 i shte dobavi 4, no sus sushtite 4 cherti
 * moje da se napravi 11, koeto shte umnoji po 100 i shte dobavi 11.
 *
 * Dulgo vreme misleh vurhu zashto edin test ne vurvi, posle usuznah, che sum napisal '-1' vmesto "-1",
 * i che '-1' izliza kato 11569. Upravih go i trugna.
  ______
 / ____ \_
 ||____||/|
 |      | |
 |  _   |/
 |__||__|
 **/
#include <bits/stdc++.h>
using namespace std;
int main(){
    cin.sync_with_stdio(0);
    cin.tie(nullptr);
    int n;
    cin >> n;
    if(n<2){cout << "-1"; return 0;}
    if(n%2==1){cout << "7"; n-=3;}
    for(int i = 0; i < (n/2); i++){
        cout << "1";
    }
    return 0;
}
